Subject: Re: bug#18547: repeated C-s doesn't wrap back to the top if file is .gz

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Sep 2014 23:57:05 +0300

>> (I'm not sure whether it should go into emacs-24 or trunk):
>
> I don't think it's urgent, so: trunk.

Actually there were two cases: when `wrap' is non-nil then a new buffer
"ChangeLog" should not be created (fixes the reported problem).
When `wrap' is nil, then `file-exists-p' will raise a signal
(as `find-file-noselect' did before this patch) that is handled
by `multi-isearch-search-fun' to display the "end of multi" message.
The same patch installed to trunk will handle both cases.